--get address
------------------------------------------------------------------------------------------

if m_simpleTV.Control.ChangeAdress ~= 'No' or ttvcore==nil or ttvcore.IsTTVAddress(m_simpleTV.Control.CurrentAdress)~=true  then return end

local adr = m_simpleTV.Control.CurrentAdress 
m_simpleTV.Control.ChangeAdress = 'Yes'
m_simpleTV.Control.CurrentAdress = 'error'

local adr = ttvcore.GetTTVAddress(adr,true,true) 
if adr == nil then return end
m_simpleTV.Control.CurrentAdress = adr


